org.bdgenomics.adam.cli

# TransformArgs

#### class TransformArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TransformArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformArgs()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var asSingleFile: Boolean

   Definition Classes
     TransformArgs → ADAMSaveAnyArgs

8. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### var cache: Boolean

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### var coalesce: Int

12. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

13. #### var concatFilename: String

14. #### var deferMerging: Boolean

    Definition Classes
      TransformArgs → ADAMSaveAnyArgs

15. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

16. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### var fastqRecordGroup: String

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### var forceLoadBam: Boolean

22. #### var forceLoadFastq: Boolean

23. #### var forceLoadIFastq: Boolean

24. #### var forceLoadParquet: Boolean

25. #### var forceShuffle: Boolean

26. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

27. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

28. #### var inputPath: String

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### var knownIndelsFile: String

31. #### var knownSnpsFile: String

32. #### var limitProjection: Boolean

33. #### var locallyRealign: Boolean

34. #### var lodThreshold: Double

35. #### var logLevel: String

    Definition Classes
      ParquetArgs

36. #### var markDuplicates: Boolean

37. #### var maxConsensusNumber: Int

38. #### var maxIndelSize: Int

39. #### var maxTargetSize: Int

40. #### var mdTagsFragmentSize: Long

41. #### var mdTagsOverwrite: Boolean

42. #### var mdTagsReferenceFile: String

43. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

44. #### final def notify(): Unit

    Definition Classes
      AnyRef

45. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

46. #### var observationsPath: String

47. #### var outputPath: String

    Definition Classes
      TransformArgs → SaveArgs

48. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

49. #### var pairedFastqFile: String

50. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

51. #### var recalibrateBaseQualities: Boolean

52. #### var repartition: Int

53. #### var sortFastqOutput: Boolean

    Definition Classes
      TransformArgs → ADAMSaveAnyArgs

54. #### var sortLexicographically: Boolean

55. #### var sortReads: Boolean

56. #### var storageLevel: String

57. #### var stringency: String

58. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

59. #### def toString(): String

    Definition Classes
      AnyRef → Any

60. #### var useAlignedReadPredicate: Boolean

61. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

62. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

63. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped